> For the complete documentation index, see [llms.txt](https://developers.airship.co.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.airship.co.uk/rest-api/authentication.md).

# Authentication

How to get connected

### API Personal Access Tokens

To connect to REST API, you will need a Personal Access Token (PAT).

You can create an API Access Token within the Airship dashboard. Head to **Users** > **Personal Access Tokens** to do this. We have full details on how to do this [over on our Academy article here >](http://academy.airship.co.uk/en/articles/5432372-how-to-create-api-access-tokens)

### Tokens

REST API uses Personal Access tokens to authenticate API requests. So before making any request to a protected resource, you'll need to make sure you have a valid token, as you'll need to include this in your authorisation header on each request.

Personal Access Tokens do not refresh. Make sure you handle and store this token securely. If it becomes compromised, make sure you revoke access for it.

### Using tokens in requests

Whenever the user wants to access a protected route or resource, the user agent should send their token in the Authorization header using the Bearer schema. The content of the header should look like the following:

`Authorization: Bearer <access_token>`

### Authentication failure

If you are not authorised and you attempt to make a request to a protected endpoint, the API will return JSON with errors.Authentication Failure

```
{
  "errors": [
    {
      "message": "Unauthorized",
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.airship.co.uk/rest-api/authentication.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
